Bug 244400 - kspread:msoffice2003: Rate function does not work in kspread
Summary: kspread:msoffice2003: Rate function does not work in kspread
Status: VERIFIED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: filters (show other bugs)
Version: unspecified
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-06-17 09:50 UTC by Lassi Nieminen
Modified: 2011-12-20 15:05 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
testdata to be opened in kspread (14.00 KB, application/vnd.ms-excel)
2010-06-17 09:50 UTC, Lassi Nieminen
Details
screenshot of the document in kspread (189.94 KB, image/png)
2010-06-17 09:51 UTC, Lassi Nieminen
Details
screenshot of the document in msexcel (102.48 KB, image/png)
2010-06-17 09:54 UTC, Lassi Nieminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-07-12 18:00:07 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-06-17 10:50:08 +0300 ----

Created an attachment
testdata to be opened in kspread

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1137746)
  Test document (MSOffice 2003):me03_RATE_function.xls

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in MSOffice.
  2. Open the same document in KOffice.
  3. Check the RATE function result in C10 cell

EXPECTED OUTCOME:
   RATE function does not work in kspread.

ACTUAL OUTCOME:
   RATE function shows NAME error in kspread.

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-17 10:51:56 +0300 ----

Created an attachment
screenshot of the document in kspread



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-17 10:54:23 +0300 ----

Created an attachment
screenshot of the document in msexcel



--- Bug imported by faure@kde.org 2010-07-12 18:00  ---

This bug was previously known as _bug_ 175264.

Imported an attachment (id=49035)
Imported an attachment (id=49036)
Imported an attachment (id=49037)

Unknown bug field "#PCDATA" encountered while moving bug
   <#PCDATA></#PCDATA>
CC member anastasios.katopodis@noname.com does not have an account here

Comment 1 Sebastian Sauer 2011-12-08 14:04:14 UTC
Fixed with commit ba03465daeabbf7212c67415319b3f1c07431998.
Comment 2 swathi 2011-12-20 15:05:22 UTC
Verified in b2b29030922345d8e727ed03e80fb77537aece46.
But the result of the rate function should be displayed as pass instead of fail.
It will be raised as a seperate bug,